Saltar para o conteúdo

Visão geral

  • Versão: 2.0
  • Servidores: https://api.xsolla.com/merchant/v2/

Essa referência API descreve os pontos de extremidade na gerência de assinaturas, cupons e promoções. Para obter mais informações sobre as Assinaturas, veja o guia do produto e o glossário.

Transferir a descrição da OpenAPI
Idiomas
Servidores
Mock server
https://xsolla.redocly.app/_mock/pt/api/subscriptions/
Operações
Operações
Operações
Operações
Operações
Operações
Operações
Operações

Pedido

Segurança
subscriptionsManagementJwtAuth
Caminho
subscription_idinteger\d+obrigatório
project_idinteger\d+obrigatório
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/pt/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_account' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Respostas

Get payment account info

Corpoapplication/json
card_expiry_dateobject or null
idintegerobrigatório
Exemplo: "123"
namestring or null
Exemplo: "** 7398"
ps_namestring or null
Exemplo: "Mastercard"
switch_icon_namestring or null
Exemplo: "mastercard.svg"
typestringobrigatório
Exemplo: "card"
Resposta
application/json
{ "card_expiry_date": { "month": "09", "year": "2023" }, "id": "123", "name": "** 7398", "ps_name": "Mastercard", "switch_icon_name": "mastercard.svg", "type": "card" }

Pedido

Segurança
subscriptionsManagementJwtAuth
Caminho
subscription_idinteger\d+obrigatório
project_idinteger\d+obrigatório
Consulta
sandboxboolean
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/pt/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_account/manage?sandbox=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Respostas

Returns link for managing payment accounts

Corpoapplication/json
link_to_psstringobrigatório
Exemplo: "https://secure.xsolla.com/paystation2/?access_token=<access_token>"
Resposta
application/json
{ "link_to_ps": "https://secure.xsolla.com/paystation2/?access_token=<access_token>" }

Pedido

Segurança
subscriptionsManagementJwtAuth
Caminho
subscription_idinteger\d+obrigatório
project_idinteger\d+obrigatório
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/pt/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_accounts' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Respostas

Returns the user's billing accounts

Corpoapplication/json
itemsArray of objects(BillingAccountResponse)
Padrão []
Resposta
application/json
{ "items": [] }